Masterwachtwoord maken
Create a master password under the path account.
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"generate": false,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials"
payload = {
"name": "<string>",
"domain": "<string>",
"generate": False,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
generate: false,
value: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>",
"generated_secret": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisaties
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Padparameters
Body
Verzoek om een masterwachtwoord te maken binnen het accountpadbereik.
Weergavenaam van het masterwachtwoord
1 - 100Domein-UUID of domeinnaam als scope voor het masterwachtwoord
Genereer een masterwachtwoordgeheim in plaats van er een op te geven
Geheime waarde van het masterwachtwoord wanneer deze niet wordt gegenereerd
4 - 256Workspace-UUID-bereik voor het masterwachtwoord
Respons
Aanmaaktijdstip van het masterwachtwoord
UUID van masterwachtwoord
Weergavenaam van het masterwachtwoord
Resource-UUID voor het bereik van het masterwachtwoord
Type resourcebereik waarin het masterwachtwoord geldt
account, workspace, domain Tijdstip van laatste update van het masterwachtwoord
Eenmalig gegenereerd masterwachtwoordgeheim, indien aangevraagd
Was deze pagina nuttig?
